<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: AccessoryLight Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAccessoryLight.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classAccessoryLight-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AccessoryLight Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for AccessoryLight:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classAccessoryLight.png" usemap="#AccessoryLight_map" alt=""/>
  <map id="AccessoryLight_map" name="AccessoryLight_map">
<area href="classAccessory.html" alt="Accessory" shape="rect" coords="0,0,100,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ade0410a95919c69a748d8f808cac5710"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#ade0410a95919c69a748d8f808cac5710">AccessoryLight</a> ()</td></tr>
<tr class="separator:ade0410a95919c69a748d8f808cac5710"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefb471d2774da0f2e8c5238e30ebadf4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#aefb471d2774da0f2e8c5238e30ebadf4">begin</a> (<a class="el" href="classPort.html">Port</a> *inpPort, unsigned long inId, unsigned long inBlinkDuration = 0, int inIntensity = 255)</td></tr>
<tr class="separator:aefb471d2774da0f2e8c5238e30ebadf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7424d28cc2fbe012638edd837d4aaf6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#ac7424d28cc2fbe012638edd837d4aaf6">SetFading</a> (uint8_t inStep, uint8_t inDelay)</td></tr>
<tr class="separator:ac7424d28cc2fbe012638edd837d4aaf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a2896772ebff649f3123d38e9b6ef8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#a79a2896772ebff649f3123d38e9b6ef8">IsOn</a> () const </td></tr>
<tr class="separator:a79a2896772ebff649f3123d38e9b6ef8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d399a4f2d3cb2909a35f91fdfd2540e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#a7d399a4f2d3cb2909a35f91fdfd2540e">IsBlinking</a> () const </td></tr>
<tr class="separator:a7d399a4f2d3cb2909a35f91fdfd2540e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0cb5589c44bef5e2808ea0c84689d7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#a2e0cb5589c44bef5e2808ea0c84689d7">IsFading</a> () const </td></tr>
<tr class="separator:a2e0cb5589c44bef5e2808ea0c84689d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9511861853b7de8f3b99ca43e49db16b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#a9511861853b7de8f3b99ca43e49db16b">Event</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:a9511861853b7de8f3b99ca43e49db16b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93b9f956387afcae98f89391db0c2d6c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#a93b9f956387afcae98f89391db0c2d6c">SetState</a> (ACC_STATE inState)</td></tr>
<tr class="separator:a93b9f956387afcae98f89391db0c2d6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab46a5519912b1589e24983b1789768eb"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#ab46a5519912b1589e24983b1789768eb">Toggle</a> ()</td></tr>
<tr class="separator:ab46a5519912b1589e24983b1789768eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1063143ac860df80816958a515d1faf5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#a1063143ac860df80816958a515d1faf5">LightOn</a> ()</td></tr>
<tr class="separator:a1063143ac860df80816958a515d1faf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05f54b30feeaf8578644089a716a9bf9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#a05f54b30feeaf8578644089a716a9bf9">LightOff</a> ()</td></tr>
<tr class="separator:a05f54b30feeaf8578644089a716a9bf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6106c22cd5da50ec3908d41a917695c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#a6106c22cd5da50ec3908d41a917695c6">Blink</a> ()</td></tr>
<tr class="separator:a6106c22cd5da50ec3908d41a917695c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c90712da6035d00724928abe3a5eab2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryLight.html#a0c90712da6035d00724928abe3a5eab2">EEPROMLoad</a> (int inPos)</td></tr>
<tr class="separator:a0c90712da6035d00724928abe3a5eab2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classAccessory')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:a64e6260a68ac84d94394a2076746f98a inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a64e6260a68ac84d94394a2076746f98a">Accessory</a> ()</td></tr>
<tr class="separator:a64e6260a68ac84d94394a2076746f98a inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94464d9b49e5700d3c20d0cd206ac51 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af94464d9b49e5700d3c20d0cd206ac51">begin</a> (ACC_STATE inStartingState = STATE_NONE)</td></tr>
<tr class="separator:af94464d9b49e5700d3c20d0cd206ac51 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2883977d969dcde8f078934b4a9ed12 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPort.html">Port</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">GetPort</a> () const </td></tr>
<tr class="separator:ac2883977d969dcde8f078934b4a9ed12 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b837b3afb75f5eadcde5e1742db5c7d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a> () const </td></tr>
<tr class="separator:a6b837b3afb75f5eadcde5e1742db5c7d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae26158a4fc16855e72706b317c40f9e8 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae26158a4fc16855e72706b317c40f9e8">GetPreviousState</a> () const </td></tr>
<tr class="separator:ae26158a4fc16855e72706b317c40f9e8 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69732e492455231abb564627cf66be7c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a69732e492455231abb564627cf66be7c">IsNone</a> () const </td></tr>
<tr class="separator:a69732e492455231abb564627cf66be7c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05332408472b083ff1368172b79946be inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a05332408472b083ff1368172b79946be">IsFirst</a> () const </td></tr>
<tr class="separator:a05332408472b083ff1368172b79946be inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecdd43db80db0467109219f68d5fb7e4 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aecdd43db80db0467109219f68d5fb7e4">IsSecond</a> () const </td></tr>
<tr class="separator:aecdd43db80db0467109219f68d5fb7e4 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57d1cb4de69eb625fc2bb82788591a22 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">AddMovingPosition</a> (unsigned long inId, int inPosition)</td></tr>
<tr class="separator:a57d1cb4de69eb625fc2bb82788591a22 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac818b7112183d3d65ec361c8402f927f inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac818b7112183d3d65ec361c8402f927f">GetDebounceDelay</a> () const </td></tr>
<tr class="separator:ac818b7112183d3d65ec361c8402f927f inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a933cd0907dc257b1f1047c33d41ceb2a inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a933cd0907dc257b1f1047c33d41ceb2a">GetLastMoveTime</a> () const </td></tr>
<tr class="separator:a933cd0907dc257b1f1047c33d41ceb2a inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cfe1c1ca32753832146656755f6e7a7 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a8cfe1c1ca32753832146656755f6e7a7">GetDuration</a> () const </td></tr>
<tr class="separator:a8cfe1c1ca32753832146656755f6e7a7 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5891e60944d8542a8bd1eb8862e5010e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a5891e60944d8542a8bd1eb8862e5010e">loop</a> ()</td></tr>
<tr class="separator:a5891e60944d8542a8bd1eb8862e5010e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49f289549f486e8307ec06123939ca40 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a49f289549f486e8307ec06123939ca40">EEPROMSave</a> (int inPos, bool inSimulate = false)</td></tr>
<tr class="separator:a49f289549f486e8307ec06123939ca40 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd67b5953eb1b55a52a87a779574e3b6 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#acd67b5953eb1b55a52a87a779574e3b6">AdjustMovingPositionsSize</a> (uint8_t inNewSize)</td></tr>
<tr class="separator:acd67b5953eb1b55a52a87a779574e3b6 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac89f301db7c889f32aa8ab5534592975 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac89f301db7c889f32aa8ab5534592975">IsEmpty</a> () const </td></tr>
<tr class="separator:ac89f301db7c889f32aa8ab5534592975 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a224977dffaa54df56def6a7b15af0031 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">IndexOfMovingPosition</a> (unsigned long inId) const </td></tr>
<tr class="separator:a224977dffaa54df56def6a7b15af0031 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa249535a3c36291764e38ab1e4ae4cee inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aa249535a3c36291764e38ab1e4ae4cee">GetMovingPosition</a> (unsigned long inId) const </td></tr>
<tr class="separator:aa249535a3c36291764e38ab1e4ae4cee inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62eee418f630f805d36f6005e0db1a9e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">GetMovingPositionByIndex</a> (int inIndex) const </td></tr>
<tr class="separator:a62eee418f630f805d36f6005e0db1a9e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f0410f39fa692494b51bc880714bdd1 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">GetMovingPositionIdByIndex</a> (int inIndex) const </td></tr>
<tr class="separator:a4f0410f39fa692494b51bc880714bdd1 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a292f4e066803d0f6f32a953216443c9d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a292f4e066803d0f6f32a953216443c9d">GetLastMovingPosition</a> () const </td></tr>
<tr class="separator:a292f4e066803d0f6f32a953216443c9d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4dc998e8f09ac7f94a3e06c56e8d5d4 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a> () const </td></tr>
<tr class="separator:ac4dc998e8f09ac7f94a3e06c56e8d5d4 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e837b6c4251c2fe69066d3146dd8478 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a5e837b6c4251c2fe69066d3146dd8478">SetLastMovingPosition</a> (uint8_t inLastPositionIndex)</td></tr>
<tr class="separator:a5e837b6c4251c2fe69066d3146dd8478 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83da11bad71b628431ac86cc1cbaf60c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a83da11bad71b628431ac86cc1cbaf60c">SetDebounceDelay</a> (unsigned int inDebounceDelay)</td></tr>
<tr class="separator:a83da11bad71b628431ac86cc1cbaf60c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4a38203fce08f72755835ff126bddb0 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af4a38203fce08f72755835ff126bddb0">SetLastMoveTime</a> ()</td></tr>
<tr class="separator:af4a38203fce08f72755835ff126bddb0 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e68b4693371383dfb026869af30d1d2 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6e68b4693371383dfb026869af30d1d2">SetDuration</a> (unsigned long inDuration)</td></tr>
<tr class="separator:a6e68b4693371383dfb026869af30d1d2 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d8deba14ebc355146c2ff26b4e4669c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a1d8deba14ebc355146c2ff26b4e4669c">SetNextAccessory</a> (Accessory *inAccessory)</td></tr>
<tr class="separator:a1d8deba14ebc355146c2ff26b4e4669c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa27a04b9e2a95729e491598cb34c6e47 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">Accessory *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aa27a04b9e2a95729e491598cb34c6e47">GetNextAccessory</a> () const </td></tr>
<tr class="separator:aa27a04b9e2a95729e491598cb34c6e47 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a9a9e26544b859289f125dd075cf52e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a8a9a9e26544b859289f125dd075cf52e">GetActionStartingMillis</a> () const </td></tr>
<tr class="separator:a8a9a9e26544b859289f125dd075cf52e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a3c9f8604297fcb55141a720169fd90 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a9a3c9f8604297fcb55141a720169fd90">StartAction</a> (ACC_STATE inState)</td></tr>
<tr class="separator:a9a3c9f8604297fcb55141a720169fd90 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c3ad3e37a2ba5914f419abd3e2426f inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae8c3ad3e37a2ba5914f419abd3e2426f">IsActionDelayPending</a> () const </td></tr>
<tr class="separator:ae8c3ad3e37a2ba5914f419abd3e2426f inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef81e617d15f62090ccce7eee4f0d3c3 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aef81e617d15f62090ccce7eee4f0d3c3">IsGroupActionPending</a> () const </td></tr>
<tr class="separator:aef81e617d15f62090ccce7eee4f0d3c3 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a212359e11100e5ee9af5bd94a64d8823 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a212359e11100e5ee9af5bd94a64d8823">CanBePositional</a> () const </td></tr>
<tr class="separator:a212359e11100e5ee9af5bd94a64d8823 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3662f43014a6ec1f8719a687fe5c33ba inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a3662f43014a6ec1f8719a687fe5c33ba">MovePosition</a> (int inPosition)</td></tr>
<tr class="separator:a3662f43014a6ec1f8719a687fe5c33ba inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e5e9122c96773c975fe9d2c2db6520 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a> (ACC_STATE inNewState)</td></tr>
<tr class="separator:a60e5e9122c96773c975fe9d2c2db6520 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5208f338b6ea9a5b5fd554c4e1ec60e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac5208f338b6ea9a5b5fd554c4e1ec60e">SetStartingMillis</a> ()</td></tr>
<tr class="separator:ac5208f338b6ea9a5b5fd554c4e1ec60e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a882c7616f0433475d65e1ac5e8ecf616 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a882c7616f0433475d65e1ac5e8ecf616">ResetStartingMillis</a> ()</td></tr>
<tr class="separator:a882c7616f0433475d65e1ac5e8ecf616 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classAccessory')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:a6cf36c65d1519eb7e5a6aac1cba7fe51 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6cf36c65d1519eb7e5a6aac1cba7fe51">ExecuteEvent</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:a6cf36c65d1519eb7e5a6aac1cba7fe51 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8b0920b2a419e278fbc79e3fcc75f86 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af8b0920b2a419e278fbc79e3fcc75f86">GetCount</a> ()</td></tr>
<tr class="separator:af8b0920b2a419e278fbc79e3fcc75f86 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4efeb5b525027d5ccb692f0560a3474 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae4efeb5b525027d5ccb692f0560a3474">IsActionPending</a> ()</td></tr>
<tr class="separator:ae4efeb5b525027d5ccb692f0560a3474 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab89d2b99293b24e6ccc38938384563f2 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static Accessory *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ab89d2b99293b24e6ccc38938384563f2">GetFirstAccessory</a> ()</td></tr>
<tr class="separator:ab89d2b99293b24e6ccc38938384563f2 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classAccessory')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:ae1ebffdf3fe753e3c5e7d05c2a61fd18 inherit pro_attribs_classAccessory"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPort.html">Port</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a></td></tr>
<tr class="separator:ae1ebffdf3fe753e3c5e7d05c2a61fd18 inherit pro_attribs_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7079494cf9cb5130e5b3a5762e04e947 inherit pro_attribs_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a7079494cf9cb5130e5b3a5762e04e947">prevState</a></td></tr>
<tr class="separator:a7079494cf9cb5130e5b3a5762e04e947 inherit pro_attribs_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class describes a single light accessory. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8hpp_source.html#l00015">15</a> of file <a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ade0410a95919c69a748d8f808cac5710"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AccessoryLight::AccessoryLight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8cpp_source.html#l00012">12</a> of file <a class="el" href="AccessoryLight_8cpp_source.html">AccessoryLight.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aefb471d2774da0f2e8c5238e30ebadf4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLight::begin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classPort.html">Port</a> *&#160;</td>
          <td class="paramname"><em>inpPort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inBlinkDuration</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inIntensity</em> = <code>255</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inpPort</td><td><a class="el" href="classPort.html">Port</a> driven this light. </td></tr>
    <tr><td class="paramname">inId</td><td>Id of this accessory. </td></tr>
    <tr><td class="paramname">inBlinkDuration</td><td><a class="el" href="classAccessoryLight.html#a6106c22cd5da50ec3908d41a917695c6">Blink</a> duration, 0 for fix light. Default is 0. </td></tr>
    <tr><td class="paramname">inIntensity</td><td>Intensity of this light. Default is maximum, 255. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8cpp_source.html#l00016">16</a> of file <a class="el" href="AccessoryLight_8cpp_source.html">AccessoryLight.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a6106c22cd5da50ec3908d41a917695c6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLight::Blink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Turn the light on and blink. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8hpp_source.html#l00071">71</a> of file <a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a0c90712da6035d00724928abe3a5eab2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int AccessoryLight::EEPROMLoad </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reload all data from the EEPROM. </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a245ad3bad4fa0f1d657fdc20b2edb868">Accessory</a>.</p>

</div>
</div>
<a class="anchor" id="a9511861853b7de8f3b99ca43e49db16b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLight::Event </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACCESSORIES_EVENT_TYPE&#160;</td>
          <td class="paramname"><em>inEvent</em> = <code>ACCESSORIES_EVENT_MOVEPOSITIONID</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Execute a new event. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of an accessory or an accessory item. </td></tr>
    <tr><td class="paramname">inEvent</td><td>Type of the new event. Default is ACCESSORIES_EVENT_MOVEPOSITIONID. </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data to the event type. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a6f4a8cacc38e0bac6e83ed5a136073e0">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8cpp_source.html#l00041">41</a> of file <a class="el" href="AccessoryLight_8cpp_source.html">AccessoryLight.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a7d399a4f2d3cb2909a35f91fdfd2540e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryLight::IsBlinking </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the light is blinking. </p><dl class="section return"><dt>Returns</dt><dd>true if the light is blinking. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8hpp_source.html#l00044">44</a> of file <a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a2e0cb5589c44bef5e2808ea0c84689d7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryLight::IsFading </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the light is fading. </p><dl class="section return"><dt>Returns</dt><dd>true if the light is fading. </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>A light can dim only with an analog pin. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8hpp_source.html#l00049">49</a> of file <a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a79a2896772ebff649f3123d38e9b6ef8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryLight::IsOn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the light is on. </p><dl class="section return"><dt>Returns</dt><dd>true if the light is on. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8hpp_source.html#l00040">40</a> of file <a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a05f54b30feeaf8578644089a716a9bf9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLight::LightOff </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Turn the light off. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8hpp_source.html#l00069">69</a> of file <a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a1063143ac860df80816958a515d1faf5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLight::LightOn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Turn the light on. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8hpp_source.html#l00067">67</a> of file <a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ac7424d28cc2fbe012638edd837d4aaf6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLight::SetFading </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inStep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inDelay</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Set the fading mode, defining its speed. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inStep</td><td>Number of steps between light on and light off. </td></tr>
    <tr><td class="paramname">inDelay</td><td>Duration of each step. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8hpp_source.html#l00035">35</a> of file <a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a93b9f956387afcae98f89391db0c2d6c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryLight::SetState </td>
          <td>(</td>
          <td class="paramtype">ACC_STATE&#160;</td>
          <td class="paramname"><em>inState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the internal state. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inState</td><td>new state LIGHTON, LIGHTOFF or LIGHTBLINKING. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a408602468720dbf84c1e3d27cc0385da">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8hpp_source.html#l00061">61</a> of file <a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ab46a5519912b1589e24983b1789768eb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ACC_STATE AccessoryLight::Toggle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Change the state from ON to OFF or OFF to ON. </p><dl class="section return"><dt>Returns</dt><dd>The new state. </dd></dl>

<p>Implements <a class="el" href="classAccessory.html#a9f524a5ba6ba7f33e814e687c2912181">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryLight_8hpp_source.html#l00065">65</a> of file <a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryLight_8hpp_source.html">AccessoryLight.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryLight_8cpp_source.html">AccessoryLight.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classAccessoryLight.html">AccessoryLight</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
